@echo off

if [%1] == [mingw]   goto mingw
if [%1] == [mingw32] goto mingw
if [%1] == [msvc]    goto msvc6
if [%1] == [msvc6]   goto msvc6
if [%1] == [msvc7]   goto msvc7
if [%1] == [msvc8]   goto msvc8
if [%1] == [msvc9]   goto msvc9
if [%1] == []        goto help

:nosup
echo Platform not supported by logg.
goto end

:help
echo.
echo Usage: fix platform
echo.
echo Where platform is one of:
echo     mingw32, msvc6, msvc7, msvc8, msvc9
echo.
goto end

:mingw
echo Configuring logg for Windows/MinGW...
echo #generated by fix.bat        > Makefile
echo include Makefile.mingw      >> Makefile
goto end

:msvc6
echo Configuring logg for Windows/MSVC6...
echo #generated by fix.bat        > Makefile
echo COMPILER_MSVC6 = 1           >> Makefile
echo include Makefile.msvc        >> Makefile
goto end

:msvc7
echo Configuring logg for Windows/MSVC7...
echo #generated by fix.bat        > Makefile
echo COMPILER_MSVC7 = 1           >> Makefile
echo include Makefile.msvc        >> Makefile
goto end

:msvc8
echo Configuring logg for Windows/MSVC8...
echo #generated by fix.bat        > Makefile
echo COMPILER_MSVC8 = 1           >> Makefile
echo include Makefile.msvc        >> Makefile
goto end

:msvc9
echo Configuring logg for Windows/MSVC9...
echo #generated by fix.bat        > Makefile
rem MSVC9 uses MSVC8 settings
echo COMPILER_MSVC8 = 1           >> Makefile
echo include Makefile.msvc        >> Makefile
goto end

:end

